<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFurnitureNewgoodsInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('furniture_newgoods_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title',255)->comment('标题');
            $table->string('thumb',255)->nullable()->comment('缩略图');
            $table->text('content')->nullable()->comment('详情');
            $table->string('comments_field_1',255)->nullable()->comment('评价题目1');
            $table->string('comments_field_2',255)->nullable()->comment('评价题目2');
            $table->string('comments_field_3',255)->nullable()->comment('评价题目3');
            $table->string('comments_field_4',255)->nullable()->comment('评价题目4');
            $table->integer('sort')->nullable()->default(0)->comment('排序，越大越靠前');
            $table->integer('store_id')->comment('店铺ID');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('furniture_newgoods_info');
    }
}
